/*
 * Project name:
     LED_Counter
 * Description:
     Application of LED counter click board
 * Test configuration:
     MCU:             FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev.Board:       Clicker 2 for FT900
                      http://www.mikroe.com/ft90x/clicker-2/
     Oscillator:      CPU at full system clock, 100.000MHz

     Ext. modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 */
unsigned short dec_digits[] = {0b01111110,0b01100000,0b10110110,0b11110100,0b11101000,0b11011100,0b11001110,0b01110000,0b11111110,0b11111000 };
//
// take an 8 bit number and shifts the digits into the LED board
//
void shiftOut(unsigned short datum) {
     int ii;
     unsigned short temp;
     GPIO_PIN5_bit=1;

                for (ii=0; ii<8; ii++) {
                    GPIO_PIN14_bit=0;
                     GPIO_PIN29_bit=!!(datum & (1 << (7-(ii))));
                     Delay_ms(1);
                     GPIO_PIN27_bit=1;
                     Delay_ms(1);
                     GPIO_PIN27_bit=0;
                     }

}
//
// display a 2 digit number
//
void displayNumber(int number) {
     unsigned short tens, units, datum;
     GPIO_PIN33_bit=0;
     if (number>99) number=99;
        tens=number/10;
        units=number%10;
        datum=dec_digits[tens];
        shiftOut(datum);
        //Delay_ms(1000);
        datum=dec_digits[units];
        shiftOut(datum);
        //Delay_ms(1000);
        GPIO_PIN33_bit=1;
        }
void main(void) {
     unsigned short datum, tens, units, number;
     int ii, duration, temp[5], ndx;

  GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_14);     // pwm
  GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_33);     // cs
  GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_29);     // misi
  GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_27);     // clk
  GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_5);      // rst



  while(1){
  //
  // display numbers from 0 to 99 on the LED clicker board
  //
           GPIO_PIN5_bit=0;
           for (number=0; number<=99; number++) {
               displayNumber(number);
               Delay_ms(500);
               }

  }

}